
package com.tmerclub.cloud.api.feign;

import com.tmerclub.cloud.common.response.ServerResponseEntity;

/**
 * 搜索符合定时任务条件的订单
 * @author tmerclub
 * @date 2021/02/05
 */
public interface SearchOrderTaskFeignClient {
    /**
     * 订单结算
     * @return
     */
    ServerResponseEntity<Object> settledOrder();

    /**
     * 确认收货
     * @return
     */
    ServerResponseEntity<Object> confirmOrder();

    /**
     * 预售订单，尾款时间开始时尾款金额为0的处理
     * @return
     */
    ServerResponseEntity<Object> handlerBalanceTimeStartOrder();

    /**
     * 预售订单，尾款时间过期未支付时的处理
     * @return
     */
    ServerResponseEntity<Object> handleBalanceTimeExpireOrder();


    /**
     * 采购订单，过期未支付时的处理
     * @return
     */
    ServerResponseEntity<Void> checkPurchaseOrderPayStatus();
}
